extends Node2D

@onready var explosion_generator = $ExplosionGenerator
@onready var battle_ui = $CanvasLayer/BattleUI
@onready var player = $HiroPlayer
@onready var ai = $HiroAI

func _ready():
	battle_ui.initialize(player.health, ai.health)
	battle_ui.set_player_health(player.health)
	battle_ui.set_enemy_health(ai.health)

func _on_player_defeated():
	if Globals.nsfw == true:
		explosion_generator.spawn(player.position)

func _on_ai_defeated():
	if Globals.nsfw == true:
		explosion_generator.spawn(ai.position)
